\documentclass{beamer}


\usepackage[french]{babel}
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage[framemethod=TikZ]{mdframed}
\usepackage[makestderr]{pythontex}
\usepackage{multicol}

\begin{document}

\begin{frame}[fragile]
\frametitle{Affichage à l'écran: Commande \pyv{print()} }  
\begin{itemize}
\item En mode console:   résultats automatiquement affichés.
\item Dans l'éditeur: utiliser \pyv{print()}
\end{itemize}
%

\begin{pyblock}[stdout][numbers=left]
a, b =  2, 3
print(a, 'hello', a+b)
\end{pyblock}

\stdoutpythontex

De plus, 
  \begin{pyblock}[sdterr][numbers=left]
a = 5
print('a vaut ' a)
  \end{pyblock}
  donne
  \stderrpythontex

  Illustre :
  \url{https://tex.stackexchange.com/questions/195260/printing-stdout-with-pythontex-and-line-referencing}

\end{frame}
\end{document}
